Skip to main content
POST
/
applications
/
{applicationId}
/
widget-data
curl --request POST \
  --url https://app.trusys.ai/api/external/applications/{applicationId}/widget-data \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "types": [
    "sessions-evaluated"
  ],
  "start": "2026-01-01T00:00:00.000Z",
  "end": "2026-01-31T23:59:59.999Z"
}
'
{
  "success": true,
  "data": [
    {
      "id": "sessions-evaluated",
      "data": {
        "sessions_total_requests": 120,
        "sessions_total_success": 100,
        "sessions_total_failures": 15,
        "sessions_total_errors": 5,
        "sessions_chart_data": [
          [
            [
              "2026-01-01",
              35,
              "Success",
              "2026-01-01"
            ],
            [
              "2026-01-01",
              4,
              "Fail",
              "2026-01-01"
            ],
            [
              "2026-01-01",
              1,
              "Error",
              "2026-01-01"
            ]
          ],
          [
            [
              "2026-01-02",
              40,
              "Success",
              "2026-01-02"
            ],
            [
              "2026-01-02",
              6,
              "Fail",
              "2026-01-02"
            ],
            [
              "2026-01-02",
              0,
              "Error",
              "2026-01-02"
            ]
          ]
        ],
        "traces_total_requests": 340,
        "traces_total_success": 280,
        "traces_total_failures": 55,
        "traces_total_errors": 5,
        "traces_chart_data": []
      },
      "meta": {
        "source": "pulse",
        "type": "sessions-evaluated"
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your Trusys API key. Create and manage keys in the Trusys UI under Settings → API Keys.

Include the key on every request:

x-api-key: <your-api-key>

Path Parameters

applicationId
string<uuid>
required

Unique identifier (UUID) of the application. Returned by POST /applications.

Body

application/json

Widget types and time range (types, start, end).

types
string[]
required

Board widget type slugs from GET /widgets data[].id. Results are returned in the same order.

Minimum array length: 1
Minimum string length: 1
Example:
["sessions-evaluated", "guardrail-latency"]
start
string<date-time>
required

Start of the time range, inclusive (ISO 8601 UTC).

Example:

"2026-01-01T00:00:00.000Z"

end
string<date-time>
required

End of the time range, inclusive (ISO 8601 UTC). Must be on or after start.

Example:

"2026-01-31T23:59:59.000Z"

Response

Widget chart data. Each data[] item corresponds to one requested widget id in the same order as types.

success
boolean
required
data
object[]
required